---
title: "About"
---
## Our history

Our non-profit was founded in May 2017. Its first goal was our participation in the [First Global Challenge 2017](https://first.global/archive/fgc-2017/) in Washington D.C.

### First contest

After three months spent building, training and communicating, we finally met the 156 attending countries. Unfortunately, bad alliances and poor robot efficiency led us to a disappointing ranking. Nevertheless, our well documented blog made us come back with the silver medal of the Sofia Kovalevskaya award.

### 2017-2018 season

<div class="d-flex justify-center">
  <img alt="Our old logo" data-src="/proxyPhotos?code=/old_logo.png" title="Our old logo" width="100" />
</div>

We participated in two competitions :
- The [trophées de robotique](http://tropheesderobotique.fr)
  - First the regional contest. We ranked second and thus were qualified for the national level.
  - Then the national contest, during two days in Saint-Quentin. We ended 20th out of 62 teams.
- The 18th World Adolescent Robot Contest in the FGC category.

This contest took place in Guyiang, China. Thirty teams were attending : 15 chinese teams and 15 international ones.

We won two awards:
  - The international unity award for the help we provided to other teams and our involvement in communication.
  - The winning alliance award because we won this championship.

### 2018-2019 season

Our non-profit evolves. We have new team members to participate in contest and, moreover, we begin an education component by animating a weekly robotic worshop for children in the [social center Condorcet](https://www.espacecondorcet.org/).

This season, we plan to participate in the [trophées de robotique](http://tropheesderobotique.fr) once again and [Astro-Pi](https://www.astro-pi.org).

### 2019-2020 season

Of course a very disturbed season. Our weekly robotic worshop for children in the [social center Condorcet](https://www.espacecondorcet.org/) went on until lockdown. We also manage to run two [micro-bits](https://archive.microbit.org/) workshops in the library. About the robotics contest, after being involved in the [trophées](http://tropheesderobotique.fr) then in the [coupe de France](https://www.coupederobotique.fr/) they were both cancelled/re-scheduled.

### Season 2020-2021

Just before the second lockdown, we were able to participate for the first time in the [French Robotics Cup](https://www.coupederobotique.fr/). The experience alongside Matthieu and Mohamed was extremely interesting. Otherwise, the season unfolded with mixed results: another year without a physical competition, but we participated in an online competition organized by [Student Robotics](https://studentrobotics.org/) during which we won the "Rookie Award" (award for the best beginner team). The Saturday workshop was maintained remotely. The youngsters connected to a [jitsi](https://jitsi.org/) chat room, and we managed to conduct some programming activities.

### Season 2021-2022
The workshops at the community center and in our Douaires premises were very dynamic, but we were unable to participate in competitions due to a lack of participants!

### Season 2022-2023
This year, the workshop at the community center only occurred sporadically as it was regularly closed due to a lack of supervising staff. Our participation in the Robotics Trophies (now called the Junior French Robotics Cup) was canceled by the Normandy organization at the last minute. The digital workshop, however, remained as active as usual.

<div id="members"></div>

## Our team

<div class="team-mosaic">
  <div class="team-item">
    <div class="team-item-image">
      <img data-src="/proxyPhotos?code=/profiles/franck.jpg" alt="avatar">
    </div>
    <p class="team-item-title">Franck</p>
    <p class="team-item-description">President, Coach</p>
  </div>

  <div class="team-item">
    <div class="team-item-image">
      <img data-src="/proxyPhotos?code=/profiles/francois.jpg" alt="avatar">
    </div>
    <p class="team-item-title">François</p>
    <p class="team-item-description">Treasurer, Coach</p>
  </div>

  <div class="team-item">
    <div class="team-item-image">
      <img data-src="/proxyPhotos?code=/profiles/katia.jpg" alt="avatar">
    </div>
    <p class="team-item-title">Katia</p>
    <p class="team-item-description">Secretary</p>
  </div>
  
<div class="team-item">
<div class="team-item-image">
  <img data-src="/proxyPhotos?code=/profiles/matthieu.jpg" alt="avatar">
</div>
<p class="team-item-title">Matthieu</p>
<p class="team-item-description">Alumni, Coach</p>
</div>

<div class="team-item">
  <div class="team-item-image">
    <img data-src="/proxyPhotos?code=/profiles/mohamed.jpg" alt="avatar">
  </div>
  <p class="team-item-title">Mohamed</p>
  <p class="team-item-description">Alumni, Coach</p>
</div>


<div id="partners"></div>

## They support us

<div class="partners">
  <div class="partner flex flex-wrap">
    <div class="w-full md:w-1/3 partner-image">
      <img data-src="/proxyPhotos?code=/logoGIGAreduit.png">
    </div>
    <div class="w-full md:w-2/3">
      Since October 2017, the GIGA supports us. We presented them our organization in their general assembly and have had a great financial support from them for our travels ans purchase of equipment.
    </div>
  </div>
  <!-- <div class="partner flex flex-wrap">
  </div>
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://uimm.lafabriquedelavenir.fr/">
      <img data-src="/proxyPhotos?code=/UIMMfabriqueMetiers.jpg">
    </a>
    <div class="w-full md:w-2/3">
      <div>
        Since december 2018, the <a href="https://uimm.lafabriquedelavenir.fr/">UIMM</a> of the state of the Eure help us to buy hardware and support us in our communication process
      </div>
    </div>
  </div> -->
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://www.papavoine-menuiserie.com/">
      <img data-src="/proxyPhotos?code=/papavoine.jpg">
    </a>
    <div class="w-full md:w-2/3">
      <div>
        During the 2018-2019 season , la <a href="https://www.papavoine-menuiserie.com/">Papavoine carpentry</a> helped us build most of the game elements for our table.
      </div>
    </div>
  </div>
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://www.girv.com/">
      <img data-src="/proxyPhotos?code=/girv.png">
    </a>
    <div class="w-full md:w-2/3">
      <div>
        Since november 2018, the <a href="https://www.girv.com/">Groupement Interprofessionnel de la Région de Vernon</a> trusts us and allowed us to meet new partners. We were able to present our non-profit during both their trade show and their general assembly in december. They also helped to buy us a 3D printer in february 2019.
      </div>
    </div>
  </div>
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://www.ariane.group">
      <img data-src="/proxyPhotos?code=/arianegroup_lg.png">
    </a>
    <div class="w-full md:w-2/3">
      Ariane Group Vernon helped to buy us a 3D printer in february 2019.
    </div>
  </div>
  <!-- <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://marianneurope.fr/">
      <img data-src="/proxyPhotos?code=/marianneEurope.png">
    </a>
    <div class="w-full md:w-2/3">
      <div>
        Depuis novembre 2018, l'<a href="https://marianneurope.fr/">agence de conseil Marianne Europe</a> nous a inscrit à ses deux newsletters professionnelles afin que nous puissions nous tenir informer des initiatives et des innovations locales et nous mettre en relation avec les entreprises innovantes de notre secteur.
      </div>
    </div>
  </div> -->
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="http://www.ville-gaillon.fr/">
      <img data-src="/proxyPhotos?code=/logoVilleGaillon.jpg">
    </a>
    <div class="w-full md:w-2/3">
      At the beginning of the 2017-2018 season, the city hall of Gaillon granted us a small subsidy.
      Since april 2019, it lends us a wide venue to host our activities.
    </div>
  </div>
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://www.skf.com/fr">
      <img data-src="/proxyPhotos?code=/skf.png">
    </a>
    <div class="w-full md:w-2/3">
      SKF Vernon helped to buy us a 3D printer in february 2019.
    </div>
  </div>
  <div class="partner flex flex-wrap">
    <a class="w-full md:w-1/3 partner-image" href="https://www.atiscomputer.com">
      <img data-src="/proxyPhotos?code=/atisComputer.jpg">
    </a>
    <div class="w-full md:w-2/3">
      Helps us since april 2019. They already gave us 2 <a href="https://www.raspberrypi.org/">Raspberry Pi</a> 3B+ and some computers.
    </div>
  </div>
</div>

<div id="place-anchor" style="position: relative; opacity: 0; top: -550px;"></div>
<div class="pt-3"></div>

## Our workshop

We have premises offered by the city of Gaillon to host our activities. There are located near the street "Rue de Printemps de Prague".

<div class="about-place-container mt-5 d-flex justify-center">
  <div
    id="place-map"
    class="about-place-map">
  </div>
</div>
